function mm(r)
{
	row=nhd+nrd*ncd+r*(ncd+1)
	zr=document.vouchform.elements[row].value
        l=zr.length
        indx=-1
        for (i=0;i<memo.length;i++)
        {
                if(zr==memo[i]) indx=i
        }
function clien(ev) {
        var unic = ev.keyCode ? ev.keyCode : ev.which ? ev.which : ev.charCode
//for (i=129;i<256;i++) alert(" unic="+i+ " val=" + String.fromCharCode(i))
        if(unic==38) { indx--; if(indx <0) indx=memo.length-1 }
        if(unic==40) { indx++; if(indx == memo.length) indx=0 }
        if(unic!=38 && unic!=40 && unic!=9)
        {
                if(unic >47 && unic <58 || unic>64 && unic <91 || unic==32)
                zr=zr+String.fromCharCode(unic)
                if(unic==192) zr=zr+String.fromCharCode(209)
                if(unic==8 && l>0) zr=zr.substr(0,l-1)
                indx=-1
                for (i=0;i<memo.length;i++)
                {
                        itt=memo[i]
                        itt=itt.toUpperCase()
                        zr=zr.toUpperCase()
                        l=zr.length
                        if(zr==itt.substr(zr,l)) { indx=i ; i=memo.length }
                }
                if(indx== -1) document.vouchform.guia1H05.value=zr
                else document.vouchform.guia1H05.value=memo[indx]
        }
        else if(zr!="") document.vouchform.guia1H05.value=memo[indx]
        else document.vouchform.guia1H05.value=""
}

